Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.type.matrix
Class IntMatrix

    java.lang.Object
      fr.lip6.type.matrix.MLMatrix<IntVector[]>
          fr.lip6.type.matrix.IntMatrix

All Implemented Interfaces:
  java.io.Serializable

    public class IntMatrix

extends MLMatrix<IntVector[]>

See Also:
  Serialized Form

Field Summary

Fields inherited from class fr.lip6.type.matrix.MLMatrix
`nbCols, nbRows, values`

Constructor Summary
`IntMatrix(IntVector[] m)`

Method Summary
`MLMatrix<IntVector[]>` | `add(MLMatrix<IntVector[]> m)` returns a new matrix sum of this matrix with the argument.
`double` | `dot(MLMatrix<IntVector[]> m)` return the dot product between matrices, ie sum of each components product.
`MLMatrix<IntVector[]>` | `mult(double d)` produce a new matrix with each component multiplied by a double

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntMatrix

    public IntMatrix(IntVector[] m)

Method Detail

### add

    public MLMatrix<IntVector[]> add(MLMatrix<IntVector[]> m)

  Description copied from class: `MLMatrix`
  returns a new matrix sum of this matrix with the argument.

  Specified by:
    `add` in class `MLMatrix<IntVector[]>`
  Parameters:
    `m` - the matrix to add to this
  Returns:
    the sum

### dot

    public double dot(MLMatrix<IntVector[]> m)

  Description copied from class: `MLMatrix`
  return the dot product between matrices, ie sum of each components product.

  Specified by:
    `dot` in class `MLMatrix<IntVector[]>`
  Returns:

### mult

    public MLMatrix<IntVector[]> mult(double d)

  Description copied from class: `MLMatrix`
  produce a new matrix with each component multiplied by a double

  Specified by:
    `mult` in class `MLMatrix<IntVector[]>`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD